services:
  ddns-updater:
    image: ghcr.io/qdm12/ddns-updater:latest
    container_name: ddns-updater
    restart: unless-stopped

    networks:
      - frontend_net

    environment:
      TZ: Europe/Berlin
      PERIOD: 5m
      SERVER_ENABLED: "yes"
      LISTENING_ADDRESS: ":8000"
      LOG_LEVEL: info

    volumes:
      - /mnt/user/appdata/ddns-updater:/updater/data

    labels:
      - "traefik.enable=true"
      - "traefik.docker.network=frontend_net"
      - "traefik.http.routers.ddns.rule=Host(`ddns.kaleschke.info`)"
      - "traefik.http.routers.ddns.entrypoints=websecure"
      - "traefik.http.routers.ddns.tls=true"
      - "traefik.http.services.ddns.loadbalancer.server.port=8000"

networks:
  frontend_net:
    external: true